Gtk2::EntryCompletion(3)

NAME
Gtk2::EntryCompletion

HIERARCHY
  Glib::Object
  +----Gtk2::EntryCompletion

INTERFACES
  Gtk2::CellLayout

METHODS

  entrycompletion = Gtk2::EntryCompletion->new

  $completion->complete

  $completion->delete_action ($index)

    * $index (integer)

  widget = $entry->get_entry

  boolean = $completion->get_inline_completion

  $completion->set_inline_completion ($inline_completion)
    * $inline_completion (boolean)

  $completion->insert_action_markup ($index, $markup)

    * $index (integer)
    * $markup (string)

  $completion->insert_action_text ($index, $text)

    * $index (integer)
    * $text (string)

  $completion->insert_prefix

  $completion->set_match_func ($func, $func_data=undef)

    * $func (scalar)
    * $func_data (scalar)

  integer = $completion->get_minimum_key_length

  $completion->set_minimum_key_length ($length)

    * $length (integer)

  treemodel = $completion->get_model

  $completion->set_model ($model)
    * $model (Gtk2::TreeModel)

  boolean = $completion->get_popup_completion

  $completion->set_popup_completion ($popup_completion)

    * $popup_completion (boolean)

  boolean = $completion->get_popup_set_width

  $completion->set_popup_set_width ($popup_set_width)
    * $popup_set_width (boolean)

  boolean = $completion->get_popup_single_match

  $completion->set_popup_single_match ($popup_single_match)

    * $popup_single_match (boolean)

  integer = $completion->get_text_column

  $completion->set_text_column ($column)
    * $column (integer)

PROPERTIES

'inline-completion' (boolean : readable / writable / private)
    Whether the common prefix should be inserted automatically

'minimum-key-length' (integer : readable / writable / private)
    Minimum length of the search key in order to look up matches

'model' (Gtk2::TreeModel : readable / writable / private)
    The model to find matches in

'popup-completion' (boolean : readable / writable / private)
    Whether the completions should be shown in a popup window

'popup-set-width' (boolean : readable / writable / private)
    If TRUE, the popup window will have the same size as the entry

'popup-single-match' (boolean : readable / writable / private)
    If TRUE, the popup window will appear for a single match.

'text-column' (integer : readable / writable / private)
    The column of the model containing the strings.

SIGNALS

boolean = insert-prefix (Gtk2::EntryCompletion, string)
boolean = match-selected (Gtk2::EntryCompletion, Gtk2::TreeModel, Gtk2::TreeIter)
action-activated (Gtk2::EntryCompletion, integer)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.